C API Functions

## udbListEntity

### Description

Return an allocated list of all entities. After a database update, the list is invalid and must be retrieved again.

### Syntax

     #include "udb/udb.h"
     void  udbListEntity(UdbEntity ** list, int *items);

### Arguments

Argument | description
UdbEntity **list | If not NULL, return a non-allocated list of entities
int *items | If not NULL, return size of list.

### Return Values

There are no function return values.

### Example Usage

     /* get list of all entities */
    udbListEntity(&all_ents, &num_ents);

     /* output name of each entity in list */
    for (i=0; i<num_ents; i++)   {
       printf ("%s\n",  udbEntityNameLong(all_ents[i]) );
    }
     udbListEntityFree (all_ents);

### See Also

udbListEntityFilter to filter the entity list.

udbListEntityFree to free the entity list.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com